# <formatter>

Represents the FormatterElement of the NUnit task.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
type | FormatterType | Type of formatter. | True
extension | string | Extension to append to the output filename. | False
outputdir | directory | Specifies the directory where the output file should be written to, if `usefile` is true. If not specified, the output file will be written to the directory where the test module is located. | False
usefile | bool | Determines whether output should be persisted to a file. The default is false. | False

### Requirements

Assembly: NAnt.NUnit (0.90.3780.0)